function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
import { getVtxToken } from '@vtx/utils';
import { Col, Image, Row } from 'antd';
import groupBy from 'lodash/groupBy';
import { useContext } from 'react';
import { VmInfoCollection, VmMap, VmWrapper } from "../../../_components";
import { BasicService } from "../../api";
import { getFormItem, RestaurantConfigureEnum } from "../../config";
import { RestaurantContext } from "../../index";
import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
var DetailInfo = function DetailInfo() {
  var _info$location;
  var _useContext = useContext(RestaurantContext),
    info = _useContext.info;
  var configData = BasicService.useGetConfigData();
  var baseConfigList = (configData || []).filter(function (item) {
    return item.isVisible;
  });
  var groupByGroupName = groupBy(baseConfigList, 'groupName');
  var getDataSource = function getDataSource(config) {
    return config.filter(function (item) {
      return item.dataKey !== 'location';
    }).map(function (item) {
      var formItem = getFormItem(item, info);
      if (item.dataKey === RestaurantConfigureEnum.DIVISION_NAME) {
        formItem.isAddress = false;
      }
      return _objectSpread(_objectSpread({
        key: item.dataKey
      }, formItem), formItem.type === 'img' ? {
        render: function render() {
          var photos = JSON.parse(formItem.value || '[]');
          return /*#__PURE__*/_jsx("div", {
            style: {
              whiteSpace: 'break-spaces'
            },
            children: photos.map(function (item) {
              return /*#__PURE__*/_jsx(Image, {
                width: 80,
                height: 80,
                src: "/vortex/rest/cloud/np/file/downloadFileThumbnail?outputQuality=0.5&scale=0.2&id=".concat(item.id, "&token=").concat(getVtxToken('token')),
                preview: {
                  src: "/cloudFile/common/downloadFile?id=".concat(item.id, "&token=").concat(getVtxToken('token'))
                }
              }, item.id);
            })
          });
        }
      } : {});
    });
  };
  var _ref = info !== null && info !== void 0 && (_info$location = info.location) !== null && _info$location !== void 0 && _info$location.lngLats ? info.location.lngLats.split(',') : [],
    _ref2 = _slicedToArray(_ref, 2),
    lng = _ref2[0],
    lat = _ref2[1];
  var mapPoints = lng && lat ? [{
    lng: lng,
    lat: lat,
    icon: 'CC_CSDW',
    name: info.name,
    type: 'point',
    id: info.name
  }] : [];
  return /*#__PURE__*/_jsx(Row, {
    gutter: [10, 10],
    style: {
      height: '100%'
    },
    children: Object.keys(groupByGroupName).map(function (name) {
      return /*#__PURE__*/_jsx(Col, {
        span: 24,
        children: /*#__PURE__*/_jsx(VmWrapper, {
          title: name,
          children: /*#__PURE__*/_jsxs(_Fragment, {
            children: [/*#__PURE__*/_jsx(VmInfoCollection, {
              data: getDataSource(groupByGroupName[name]),
              horizontal: true,
              width: "33%",
              ellipsis: true
            }), groupByGroupName[name].find(function (item) {
              return item.dataKey === 'location';
            }) && lng && lat ? /*#__PURE__*/_jsx("div", {
              style: {
                height: 230,
                marginBottom: 16
              },
              children: /*#__PURE__*/_jsx(VmMap, {
                mapPoints: mapPoints,
                mapType: 'wgs84',
                mapCenter: [lng, lat],
                address: info === null || info === void 0 ? void 0 : info.address
              })
            }) : null]
          })
        })
      }, name);
    })
  });
};
export default DetailInfo;